View Issue Details

IDProjectCategoryView StatusLast Update
0001989SymmetricDSBugpublic2014-09-30 10:18
ReporterelongAssigned Toelong 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.6.6 
Target Version3.6.9Fixed in Version3.6.9 
Summary0001989: Switching cluster locks off causes initialization error
DescriptionStarting SymmetricDS with cluster.lock.enabled=true and then restarting with cluster.lock.enabled=false can cause a primary key violation and fail startup. Workaround is to clear the sym_lock table after changing the property.
Additional Informationhttps://sourceforge.net/p/symmetricds/discussion/739236/thread/788ec654/
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: master 27736a22

2014-09-23 13:14:11

erilong

Details Diff
0001989: Switching cluster locks off causes initialization error
0001989
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/ClusterService.java Diff File

Issue History

Date Modified Username Field Change
2014-09-23 13:12 elong New Issue
2014-09-23 13:12 elong Status new => assigned
2014-09-23 13:12 elong Assigned To => elong
2014-09-23 13:15 elong Status assigned => resolved
2014-09-23 13:15 elong Fixed in Version => 3.6.9
2014-09-23 13:15 elong Resolution open => fixed
2014-09-23 14:00 Changeset attached => SymmetricDS 3.6 r8746
2014-09-23 14:00 Changeset attached => SymmetricDS trunk r8747
2014-09-30 10:18 chenson Status resolved => closed
2015-07-30 21:49 Changeset attached => SymmetricDS master 27736a22